Update a work item type
curl --request PATCH \
--url https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-types/{type_id}/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"logo_props": {},
"is_epic": true,
"is_default": true,
"is_active": true,
"level": 123
}
'import requests
url = "https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-types/{type_id}/"
payload = {
"name": "<string>",
"description": "<string>",
"logo_props": {},
"is_epic": True,
"is_default": True,
"is_active": True,
"level": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
logo_props: {},
is_epic: true,
is_default: true,
is_active: true,
level: 123
})
};
fetch('https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-types/{type_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Work Item Types
Update a work item type
Updates an existing work item type by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
PATCH
/
api
/
v1
/
workspaces
/
{workspace_slug}
/
projects
/
{project_id}
/
work-item-types
/
{type_id}
/
Update a work item type
Path parameters
string
required
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug is my-team.string
required
The unique identifier of the project.
string
required
The unique identifier for the work item type.
Body parameters
string
Name of the work item type
string
Description of the work item type.
object
Logo properties for the work item type.
boolean
Whether this work item type is an epic.
boolean
Whether this is the default work item type.
boolean
Whether this work item type is active.
number
Hierarchical level of the work item type.
⌘I

